package com.example.demo.dto;

import java.math.BigDecimal;

public class RecipeIngredientDto {
	private String ingredientName;
	private String quantity;
	private String unit;
	private String notes;
	private Integer orderIndex;

	public RecipeIngredientDto() {
		super();
	}

	public RecipeIngredientDto(String ingredientName, String quantity, String unit, String notes) {
		super();
		this.ingredientName = ingredientName;
		this.quantity = quantity;
		this.unit = unit;
		this.notes = notes;
	}

	// getters and setters
	public String getIngredientName() {
		return ingredientName;
	}

	public void setIngredientName(String ingredientName) {
		this.ingredientName = ingredientName;
	}

	public String getQuantity() {
		return quantity;
	}

	public void setQuantity(String quantity) {
		this.quantity = quantity;
	}

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	public String getNotes() {
		return notes;
	}

	public void setNotes(String notes) {
		this.notes = notes;
	}
	
	public Integer getIndex() {
		return orderIndex;
	}

	public void setIndex(Integer index) {
		this.orderIndex = index;
	}

}
